Aller au contenu
Parcourir la référence
Toutes les ressources

Historique (annuler / rétablir)

3 endpoints · Les descriptions des points de terminaison sont en anglais.

Change history, newest first: every recorded change with its performer; filter by member, family, kind, time window, group or explicit ids

GET/households/{householdId}/history
read:history
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/history
Réponse200 · Success

Redo an undone change: reverts its active reversal so the change is in force again (409 HISTORY_NOT_UNDONE when it is not undone, HISTORY_STALE when the data moved on)

POST/households/{householdId}/history/{eventId}/redo
write:history

Paramètres

NomEmplacementRequis
eventIdpathRequis
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/history/{eventId}/redo
Réponse200 · Success

Undo a recorded change: applies its exact inverse, writes the reversal to the history and marks the change undone (409 HISTORY_STALE when the data moved on, HISTORY_ALREADY_UNDONE when another client got there first)

POST/households/{householdId}/history/{eventId}/undo
write:history

Paramètres

NomEmplacementRequis
eventIdpathRequis
Exemple de requête
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/history/{eventId}/undo
Réponse200 · Success